Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help
Class Merge.DefaultMergeFactory

    java.lang.Object
      javax.help.Merge.DefaultMergeFactory

Enclosing class:
  Merge

public static class Merge.DefaultMergeFactory
extends java.lang.Object

Default Merge factory which creates concrete Merge objects

Constructor Summary
`Merge.DefaultMergeFactory()`

Method Summary
`static Merge` | `getMerge(NavigatorView masterView, NavigatorView slaveView)` Returns suitable Merge object

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Merge.DefaultMergeFactory

    public Merge.DefaultMergeFactory()

Method Detail

### getMerge

    public static Merge getMerge(NavigatorView masterView,
                                 NavigatorView slaveView)

  Returns suitable Merge object

  Parameters:
    `masterView` - The master NavigatorView
    `slaveView` - The slave NavigatorView
  Returns:
    The Merge object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD